curl -X POST https://app.drime.cloud/api/v1/notes/create \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "My New Note",
"body": "This is the content of my note..."
}'
const response = await fetch('https://app.drime.cloud/api/v1/notes/create', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'My New Note',
body: 'This is the content of my note...'
})
});
const { note } = await response.json();
console.log(`Note created: ${note.id}`);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/notes/create',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'title': 'My New Note',
'body': 'This is the content of my note...'
}
)
note = response.json()['note']
print(f'Note created: {note["id"]}')
{
"status": "success",
"note": {
"id": 3,
"title": "My New Note",
"body": "This is the content of my note...",
"created_at": "2024-01-20T10:00:00.000000Z",
"updated_at": "2024-01-20T10:00:00.000000Z"
}
}
{
"status": "error",
"message": "The given data was invalid.",
"errors": {
"title": "The title field is required."
}
}
Notes
Create Note
Create a new note
POST
/
notes
/
create
curl -X POST https://app.drime.cloud/api/v1/notes/create \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "My New Note",
"body": "This is the content of my note..."
}'
const response = await fetch('https://app.drime.cloud/api/v1/notes/create', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'My New Note',
body: 'This is the content of my note...'
})
});
const { note } = await response.json();
console.log(`Note created: ${note.id}`);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/notes/create',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'title': 'My New Note',
'body': 'This is the content of my note...'
}
)
note = response.json()['note']
print(f'Note created: {note["id"]}')
{
"status": "success",
"note": {
"id": 3,
"title": "My New Note",
"body": "This is the content of my note...",
"created_at": "2024-01-20T10:00:00.000000Z",
"updated_at": "2024-01-20T10:00:00.000000Z"
}
}
{
"status": "error",
"message": "The given data was invalid.",
"errors": {
"title": "The title field is required."
}
}
Overview
Creates a new note with the specified title and content.Request Body
string
required
Note title
string
required
Note content
Response
object
The created note object
string
Request status (
success)curl -X POST https://app.drime.cloud/api/v1/notes/create \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "My New Note",
"body": "This is the content of my note..."
}'
const response = await fetch('https://app.drime.cloud/api/v1/notes/create', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'My New Note',
body: 'This is the content of my note...'
})
});
const { note } = await response.json();
console.log(`Note created: ${note.id}`);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/notes/create',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'title': 'My New Note',
'body': 'This is the content of my note...'
}
)
note = response.json()['note']
print(f'Note created: {note["id"]}')
{
"status": "success",
"note": {
"id": 3,
"title": "My New Note",
"body": "This is the content of my note...",
"created_at": "2024-01-20T10:00:00.000000Z",
"updated_at": "2024-01-20T10:00:00.000000Z"
}
}
{
"status": "error",
"message": "The given data was invalid.",
"errors": {
"title": "The title field is required."
}
}
⌘I

